# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-schedutils
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_ver: %define python_ver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary: Linux scheduler python bindings
Name: python-module-schedutils
Version: 0.2
Release: alt1_10
License: GPLv2
URL: http://git.kernel.org/?p=linux/kernel/git/acme/python-schedutils.git
Source: http://userweb.kernel.org/~acme/python-schedutils/%{oldname}-%{version}.tar.bz2
Group: System/Libraries
BuildRequires: python-devel
Source44: import.info

%description
Python interface for the Linux scheduler sched_{get,set}{affinity,scheduler}
functions and friends.

%prep
%setup -n %{oldname}-%{version} -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_bindir}
cp -p pchrt.py %{buildroot}%{_bindir}/pchrt
cp -p ptaskset.py %{buildroot}%{_bindir}/ptaskset

%files
%doc COPYING
%{_bindir}/pchrt
%{_bindir}/ptaskset
%{python_sitelibdir}/schedutils.so
%if "%{python_ver}" >= "2.5"
%{python_sitelibdir}/*.egg-info
%endif

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_10
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_9
- initial fc import

